---
/** This file is currently unused */

import Logo from '~/components/site/Logo.astro';
import { buildPageTree, getPages, isTree, sortTreeLevel } from '~/lib/pages';

const pages = getPages(await Astro.glob('/src/pages/**/*.{md,astro}')).filter(
  page => page.frontmatter?.special !== 'footer',
);
const pageTree = await buildPageTree(pages);
const treeLevel = sortTreeLevel(pageTree);
---

<header
  class="flex h-16 items-center gap-8 border-b px-4 row-start-header-top row-end-header-bottom col-start-sidebar-left col-end-gutter-right sm:px-6 md:col-start-gutter-left lg:px-8"
>
  <a class="block text-primary" href="/">
    <span class="sr-only">Home</span>
    <Logo />
  </a>

  <div class="flex flex-1 items-center justify-end md:justify-between">
    <div class="flex flex-1 items-center gap-3 justify-start">
      <!-- <a class="px-3 py-2 underline"> Menu</a>
      <a class="px-3 py-2 underline"> Items</a> -->
      {
        treeLevel.map(([title, page]) => {
          if (isTree(page) && page.index) {
            return (
              <a class="px-3 py-2 block underline" href={page.index.url}>
                {title}
              </a>
            );
          } else if (!isTree(page)) {
            return (
              <a class="px-3 py-2 block underline" href={page.url}>
                {title}
              </a>
            );
          }
        })
      }
    </div>

    <div class="flex items-center gap-4">
      <!-- <LightSwitch client:only /> -->
      <button
        class="block rounded bg-primary p-2.5 text-primary-foreground transition hover:text-primary-foreground/75 sm:hidden"
      >
        <span class="sr-only">Toggle menu</span>
        <svg
          xmlns="http://www.w3.org/2000/svg"
          class="h-5 w-5"
          fill="none"
          viewBox="0 0 24 24"
          stroke="currentColor"
          stroke-width="2"
        >
          <path stroke-linecap="round" stroke-linejoin="round" d="M4 6h16M4 12h16M4 18h16"></path>
        </svg>
      </button>
    </div>
  </div>
</header>
